package main

import (
	"fmt"
	"sync"
)

func main() {
	var m sync.Map
	m.Store("k1", "str")
	m.Store("k2", 2)

	if v, ok := m.Load("k1"); ok {
		fmt.Println(v.(string), ok)
	} else {
		fmt.Println(ok)
	}

	if v, ok := m.Load("k2"); ok {
		fmt.Println(v.(int), ok)
	} else {
		fmt.Println(ok)
	}

	if v, ok := m.Load("k10"); ok {
		fmt.Println(v, ok)
	} else {
		fmt.Println(ok)
	}

	m.Delete("k1")
	if v, ok := m.Load(("k1")); ok {
		fmt.Println(v.(string), ok)
	} else {
		fmt.Println(ok)
	}

	// Output:
	//str true
	//2 true
	//false
	//false
}
